import java.awt.*;
import java.awt.event.*;
import java.lang.Math;
public class GaussIntegral extends Frame
{  public double currentX, currentY; // ݂̕`ʒu
   public GaussIntegral()
   {  setSize(600,600);
      addWindowListener(new WindowAdapter()
      { public void windowClosing(WindowEvent e){System.exit(0);}
      });
   }
   private double GaussInteg(int M, double[] ti, double [] Ci, double B_min, double B_max)
   {   double M1 = (B_max - B_min) / 2; double M2 = (B_min + B_max) / 2;
       double S = 0; for(int i = 0; i < M; i++) S += Ci[i] * FX(M1 * ti[i] + M2);
       return S * M1;
   }
   double FX(double X)          {return (1 / (1 + X))  ;}
   private double IFX(double X) {return (Math.log(1+X));}
   public void paint(Graphics g)
   {  double [] ti={ -0.9061798459,-0.5384693101, 0           , 0.5384693101, 0.9061798459};
      double [] Ci={  0.2369268851, 0.4786286705, 0.5688888889, 0.4786286705, 0.2369268851};
      setTitle("KEX̐ϕ");
      double R  = GaussInteg(5, ti, Ci, 0, 1);
      g.setFont(new Font("lr SVbN",Font.BOLD,12));
      g.drawString("@ϕ = " + R     ,100,100);
      g.drawString("@@@@^l = " + IFX(1),100,120);
  } 
   public static void main(String[] args)
   {  Frame w = new GaussIntegral();
      w.setVisible(true);
   }
}
